#pragma once

#include "mrf24j.h"
#include <pigpio.h>

#define RESET 24 //24
#define SPI_CS 8 //8
#define INT 25 //25

namespace driver
{
    void init(Mrf24j *mrf);
    uint8_t transfer(uint8_t data);
  
    inline void cs_low() {gpioWrite(SPI_CS, 0);}

    inline void cs_high() {gpioWrite(SPI_CS, 1);}
    void wake();
    void reset();
} // namespace spi
